package com.miaxis.score.vo;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author miaxis
 * @date 2021-08-23
 */
@Data
public class ScoreIStudentInfoPcVo extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 头像 */
    @ApiModelProperty(value = "头像")
    private String headImage;

    /** 昵称 */
    @ApiModelProperty(value = "昵称")
    private String nickName;



    /** 分数 */
    @ApiModelProperty(value = "最高分数")
    private Long highScore;

    /** 分数 */
    @ApiModelProperty(value = "最低分数")
    private Long lowScore;

    /** 分数 */
    @ApiModelProperty(value = "平均分数")
    private double averageScore;

    /** 分数 */
    @ApiModelProperty(value = "模拟次数")
    private double times;

}
